Public Sub NEWMAT() Dim oDoc As PartDocument Set oDoc = ThisApplication.ActiveDocument Dim oNewMaterial As Inventor.Material Dim Matname As String Dim Dichte As String Dim EModul As String Dim PK As String Dim RE As String Dim RM As String Dim WLFK As String Dim LAK As String Dim SWK As String Select Case CB_MATERIAL Case "1.0037" Matname = "1.0037" Dichte = "7.85" EModul = "210" PK = "0.287" RE = "180" RM = "290" WLFK = "47" LAK = "1.2" SWK = "420" Case "1.4301" Matname = "1.4301" Dichte = "7.86" EModul = "203" PK = "0.287" RE = "190" RM = "600" WLFK = "0" LAK = "0" SWK = "0" Case "AlSiMg 0,5" Matname = "AlSiMg 0,5" Dichte = "7.86" EModul = "203" PK = "0.287" RE = "190" RM = "600" WLFK = "0" LAK = "0" SWK = "0" End Select MsgBox (Matname) Set oNewMaterial = oDoc.Materials.Add(Matname, Dichte) ' Längenausdehnungskoeffizient oNewMaterial.LinearExpansion = LAK ' Poissonsche Konstante oNewMaterial.PoissonsRatio = PK ' Render-Stil oNewMaterial.RenderStyle = oPartDoc.RenderStyles.Item(1) ' Spez. Wärmekonstante oNewMaterial.SpecificHeat = SWK ' Wärmeleitfähigkeit oNewMaterial.ThermalConductivity = WLFK ' Zugfestigkeit oNewMaterial.UltimateTensileStrength = RM ' Streckgrenze oNewMaterial.YieldStrength = RE ' Elastizitätsmodul oNewMaterial.YoungsModulus = EModul End Sub